package aalg.crypto;

/**
 * Symmetric key that can be used in symmetric cipher.
 * @author Ing. Petr Ležák
 */
public interface ISymmetricKey {
	/**
	 * Destroy the key so it cannot be used in the future.
	 */
	public void destroy();
	
	/**
	 * Returns size of the key.
	 * @return size of the key
	 */
	public int getSize();

	public ISymmetricKey getSubKey (final int offset, final int size);
}
